Rank = Class:derive("Rank")

function Rank:GetRank(sec)
  if sec == false or sec == nil then
    sec = 0
  end
  return Rank.Ranks(sec)
end

function Rank.Ranks(sec)
  local hours = math.floor(sec/3600)
  local rank = '-'
  if hours < 1 then
    rank = 'Squirt'
  elseif hours >= 1 and hours < 5  then
    rank = 'Second Lieutenant'
  elseif hours >= 5 and hours < 15 then
    rank = 'First Lieutenant'
  elseif hours >= 15 and hours < 30 then
    rank = 'Captain'
  elseif hours >= 30 and hours < 50 then
    rank = 'Major'
  elseif hours >= 50 and hours < 100 then
    rank = 'Lieutenant Colonel'
  elseif hours >= 100 and hours < 150 then
    rank = 'Colonel'
  elseif hours >= 150 and hours < 200 then
    rank = 'Lieutenant General'
  elseif hours >= 200 and hours < 250 then
    rank = 'General'
  end
  return rank
end