--Settings
Settings = {} --do not remove
Settings.Version = "1.0.0"
Settings.ServerName = "Blades of Steel"

--
--
--
--

Settings.JSON = loadfile("Scripts\\JSON.lua")()
Settings.GameDir = "C:\\\DCS-Server-Missions\\\Syria - Blades of Steel\\"
Settings.GameDataDir = Settings.GameDir.."Data\\"
Settings.Beacons = {} --store beacons
Settings.CurrentMissionMarkers = {} --store current mission markers (empty at startup - may change this location later)
Settings.LiveMapJSON = Settings.GameDataDir.."\\BladesOfSteel_LiveMap.json"
Settings.OnlinePlayers = Settings.GameDataDir.."\\OnlinePlayers.json"
Settings.FullMissionTime = 28800 --Full Mission Time in seconds
Settings.Allied_Boarder = ZONE_POLYGON:New("AlliedBoarder", GROUP:FindByName("Allied Boarder"))

--Client/Group/Units
Settings.BAS_CLIENT_SET = SET_CLIENT:New():FilterCoalitions('blue'):FilterActive():FilterStart()

--Allied LZ Areas Table --zones where ambumes will NOT accur
Settings.Allied_Area_Table = {
  Settings.Allied_Boarder,--allied board zone
  ZONE:New("FARP London Boarder"),--FARP London Area Zone
  ZONE:New('Taftanaz'),
  --
  ZONE:New('Shebaa'),
  ZONE:New('Marj Zone-1'),
  ZONE:New('Damascus Zone'),
  ZONE:New("Mezze Zone-1"),
  ZONE:New('JoubJannine'),
}

Settings.Allied_LZs_North = {
  --Settings.Allied_Boarder,--allied board zone
  --ZONE:New("FARP London Boarder"),--FARP London Area Zone
  ZONE:New('Taftanaz-LZ'),
}

Settings.Allied_LZs = { --All Allied LZ's
  ZONE:New("Rayak LZ"),
  ZONE:New("FARP London LZ"),
  ZONE:New("Taftanaz-LZ")
}

Settings.Allied_North_LZs = { 
  ZONE:New("Taftanaz-LZ")
}

Settings.Allied_South_LZs = { 
  ZONE:New("Rayak LZ"),
  ZONE:New("FARP London LZ"),
}


--Usable ADF Radio Freq
Settings.RadioFreqs = {
  46.10,
  46.20,
  46.30,
  46.40,
  46.50,
  46.60,
  46.70,
  46.80,
  46.90,
  47.10,
  47.20,
  47.30,
  47.40,
  47.50,
  47.60,
  47.70,
  47.80,
  47.90,
  47.10,
  47.20,
  47.30,
  47.40,
  47.50,
  47.60,
  47.70,
  47.80,
  47.90,
  48.10,
  48.20,
  48.30,
  48.40,
  48.50,
  48.60,
  48.70,
  48.80,
  48.90,
}

Settings.AirplaneType = {
  "KA-50",
  "F-16",
  "F/A 18",
  "A-10",
  "F5-E",
  "Uh-1 Huey",
  
}

Settings.Ranks = {
  "Sergeant",
  "Captain",
  "Sergeant First Class",
  "Lieutenant",
  "Major",
  "First Lieutenant",
  "Staff Sergeant",
}

Settings.Names = {
  "Morgan",
  "Cooper",
  "Phillips",
  "Sanders",
  "Patel",
  "Taylor",
  "Kindrick",
  "Ballard",
  "Anderson",
  "Luther",
  "Riddle",
  "Gardner",
  "Michell",
  "Cole",
  "Strong",
  "Fisher",
  "Sully",
  "Wright",
  "Tilly",
}

Settings.Squads = {
  "Jay Squad",
  "Blue Ray Squad",
  "The Wolf Pack Squad",
  "the Red Squad",
  "The Black Head Squad",
  "The Repers",
  "Red Squad",
  "Alfa Squad",
  "Omega Squad",
  "The Mob Squad",
}


