EnemyTargets = {}

EnemyTargets.Mission = {}

--setup menu
function EnemyTargets.Menu(playerGroup)
  local PlayerGroup = playerGroup
  local PlayerGroupName = PlayerGroup:GetName()
  --Setup Menu Option
  local function ShowInst()--for ka-50s/gazells
      
      local function checkMissions1(missionTable)
        local missions = {}
        
        for key, valueTable in pairs(missionTable) do
          if valueTable.Type == 1 and valueTable.Destroyed == false then
            table.insert(missions, valueTable.Title)
          end
        end
        return missions--table
      end
      
      local inst = "++ Strike Missions ++\n\nPinpoint strike missions using F10 Map.\n\nCurrent Missions:\n"..
      Function.table_to_string(checkMissions1(EnemyTargets.Mission))
      Function.PlaySoundToGroup("radioscratch.ogg",PlayerGroup)
      MESSAGE:New(inst,30,"",true):ToGroup(PlayerGroup)
    end
    
  local function ShowInst2()--for hueys/mi8s
      local function checkMissions2(missionTable)
        local missions = {}
        
        for key, valueTable in pairs(missionTable) do
          if valueTable.Type == 2 and valueTable.Destroyed == false then
            table.insert(missions, valueTable.Title)
          end
        end
        return missions--table
      end
        
      local inst = "++ Strike Missions ++\n\nPinpoint strike missions using F10 Map.\n\nCurrent Missions:\n"..
      Function.table_to_string(checkMissions2(EnemyTargets.Mission))
      Function.PlaySoundToGroup("radioscratch.ogg",PlayerGroup)
      MESSAGE:New(inst,30,"",true):ToGroup(PlayerGroup)
    end
  
  --if ka50 or gazell
  if PlayerGroup:GetTypeName() == "Ka-50" or
     PlayerGroup:GetTypeName() == "Mi-24P" or 
     PlayerGroup:GetTypeName() == "SA342M" or
     PlayerGroup:GetTypeName() == "SA342L" or
     PlayerGroup:GetTypeName() == "SA342Minigun" or
     PlayerGroup:GetTypeName() == "SA342Mistral" then
    --south
    local Menu = MENU_GROUP:New( PlayerGroup, "Strike Missions" )
    --local TIInstrustions = MENU_GROUP_COMMAND:New( PlayerGroup, "Instructions", TroopInsertionMenu, ShowInst , PlayerGroup )--instr in CSAR class
    local GetTIAssignment = MENU_GROUP_COMMAND:New( PlayerGroup, "Avalible Missions", Menu, ShowInst , PlayerGroup )

  end
  
  --if huey or mi8
  if PlayerGroup:GetTypeName() == "UH-1H" or 
     PlayerGroup:GetTypeName() == "Mi-8MT" then
    --south
    local Menu = MENU_GROUP:New( PlayerGroup, "Strike Missions" )
    --local TIInstrustions = MENU_GROUP_COMMAND:New( PlayerGroup, "Instructions", TroopInsertionMenu, ShowInst , PlayerGroup )--instr in CSAR class
    local GetTIAssignment = MENU_GROUP_COMMAND:New( PlayerGroup, "Avalible Missions", Menu, ShowInst2 , PlayerGroup )

  end
  

end

--
--KA50 and Gazell
--
EnemyTargets.Mission.TownConvoy1 = {}--Mission Town Convoy1
EnemyTargets.Mission.TownConvoy1.Type = 1 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.TownConvoy1.Destroyed = false
EnemyTargets.Mission.TownConvoy1.Title = " - Seek out and destroy enemy convoy."
EnemyTargets.Mission.TownConvoy1.EnemyGroup = GROUP:FindByName("Enemy Convey 1")--Enemy Group WRAPPER
if EnemyTargets.Mission.TownConvoy1.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.TownConvoy1.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.TownConvoy1.EnemyGroup,"Destroy Enemy Convoy\nEnemy armored & short ranged anti air units harassing village.\nSeek out and destroy.",true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.TownConvoy1.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.TownConvoy1.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.TownConvoy1.Destroyed == false then
      EnemyTargets.Mission.TownConvoy1.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Enemy convoy harassing small village 8nm SE of Rayak has been wiped out! Good Work! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.TownConvoy1.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

EnemyTargets.Mission.RoadOutPost1 = {}--Mission RoadOutPost1
EnemyTargets.Mission.RoadOutPost1.Type = 1 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.RoadOutPost1.Destroyed = false
EnemyTargets.Mission.RoadOutPost1.Title = " - Destroy SAM at Enemy Road Outpost"
EnemyTargets.Mission.RoadOutPost1.EnemyGroup = GROUP:FindByName("Enemy Road Outpost 1")--Enemy Group WRAPPER
if EnemyTargets.Mission.RoadOutPost1.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.RoadOutPost1.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.RoadOutPost1.EnemyGroup,"Destroy Enemy Road Outpost\nIntel Reports an SA9 is in the area.\nPossible # Targets: "..Function.CountUnitsInGroup(EnemyTargets.Mission.RoadOutPost1.EnemyGroup),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.RoadOutPost1.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.RoadOutPost1.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.RoadOutPost1.Destroyed == false then
      EnemyTargets.Mission.RoadOutPost1.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Fucking A! Enemy road outpost has been destroyed! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.RoadOutPost1.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

EnemyTargets.Mission.AVTGConvoy = {}--Mission AVTG Convoy
EnemyTargets.Mission.AVTGConvoy.Type = 1 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.AVTGConvoy.Destroyed = false
EnemyTargets.Mission.AVTGConvoy.Title = " - Destroy armored convoy."
EnemyTargets.Mission.AVTGConvoy.EnemyGroup = GROUP:FindByName("AVTG-Convoy")--Enemy Group WRAPPER
if EnemyTargets.Mission.AVTGConvoy.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.AVTGConvoy.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.AVTGConvoy.EnemyGroup,"Defeat Enemy Convoy\nArmored units reported at the AVTG Facility.\nPossible # Targets: "..Function.CountUnitsInGroup(EnemyTargets.Mission.RoadOutPost1.EnemyGroup),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.AVTGConvoy.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.AVTGConvoy.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.AVTGConvoy.Destroyed == false then
      EnemyTargets.Mission.AVTGConvoy.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Enemy convoy located at the Army Vehicle Training Ground has been defeated! Area is now clear. Good Work! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.AVTGConvoy.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

EnemyTargets.Mission.Mezzeh = {}--Mission Mezzeh Airfield
EnemyTargets.Mission.Mezzeh.Type = 1 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.Mezzeh.Destroyed = false
EnemyTargets.Mission.Mezzeh.Title = " - Armed Insurgents in control of Mezzeh Airfield"
EnemyTargets.Mission.Mezzeh.EnemyGroup = GROUP:FindByName("Mezzeh Defense")--Enemy Group WRAPPER
if EnemyTargets.Mission.Mezzeh.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.Mezzeh.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.Mezzeh.EnemyGroup,"Insurgents in control of Mezzeh Airfield\nIntel Reports Multiple possible SAM threats.\nPossible # Targets: "..Function.CountUnitsInGroup(EnemyTargets.Mission.Mezzeh.EnemyGroup),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.Mezzeh.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.Mezzeh.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.Mezzeh.Destroyed == false then
      EnemyTargets.Mission.Mezzeh.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Mezzeh Aifrield has been cleared!! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.Mezzeh.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

EnemyTargets.Mission.Kafr = {}--Mission Kafr Armored Units 
EnemyTargets.Mission.Kafr.Type = 1 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.Kafr.Destroyed = false
EnemyTargets.Mission.Kafr.Title = " - Heavy Armored Units in Kafr"
EnemyTargets.Mission.Kafr.EnemyGroup = GROUP:FindByName("Kafr Armored Units")--Enemy Group WRAPPER
if EnemyTargets.Mission.Kafr.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.Kafr.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.Kafr.EnemyGroup,"Heavy Armored Units in Kafr\nIntel Reports possible SAM threat in area.\nPossible # Targets: "..Function.CountUnitsInGroup(EnemyTargets.Mission.Kafr.EnemyGroup),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.Kafr.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.Kafr.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.Kafr.Destroyed == false then
      EnemyTargets.Mission.Kafr.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Kafr has been cleared have all enemy threats! Good Job! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.Kafr.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

EnemyTargets.Mission.EWR1L13 = {}--EWR 1L13-1
EnemyTargets.Mission.EWR1L13.Type = 1 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.EWR1L13.Destroyed = false
EnemyTargets.Mission.EWR1L13.Title = " - Destroy EWR and Armored Units"
EnemyTargets.Mission.EWR1L13.EnemyGroup = GROUP:FindByName("EWR 1L13-1")--Enemy Group WRAPPER
if EnemyTargets.Mission.EWR1L13.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.EWR1L13.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.EWR1L13.EnemyGroup,"Intel Reports armed insurgents soliders have taken over an abandoned Syrian EWR1L13. We make destroy it at all cost.\nPossible # Threats: "..Function.CountUnitsInGroup(GROUP:FindByName("EWR 1L13 Defense")),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.EWR1L13.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.EWR1L13.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.EWR1L13.Destroyed == false then
      EnemyTargets.Mission.EWR1L13.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> EWR1L13 controlled by insurgents has been destroyed! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.EWR1L13.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

EnemyTargets.Mission.DamascusAirport = {}--Damascus Ground Units
EnemyTargets.Mission.DamascusAirport.Type = 1 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.DamascusAirport.Destroyed = false
EnemyTargets.Mission.DamascusAirport.Title = " - Armed Insurgents in control of Damascus Airport"
EnemyTargets.Mission.DamascusAirport.EnemyGroup = GROUP:FindByName("Damascus Ground Units")--Enemy Group WRAPPER
EnemyTargets.Mission.DamascusAirport.EnemyInsurgents = GROUP:FindByName("Damascus Insurgent Units")--Enemy Group WRAPPER
if EnemyTargets.Mission.DamascusAirport.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.DamascusAirport.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.DamascusAirport.EnemyGroup,"Intel Reports armored insurgents have taken control of Damascus Intl Airport.\nPossible Threats: Insurgents: "..Function.CountUnitsInGroup(EnemyTargets.Mission.DamascusAirport.EnemyInsurgents).."\nArmored Units: "..Function.CountUnitsInGroup(EnemyTargets.Mission.DamascusAirport.EnemyGroup).."\nSAM Threat",true,60)
        Function.CreateMarker(ZONE:New("DamascusTroopLZ-1"),"Troop Drop Off LZ",true,60)
        Function.CreateMarker(ZONE:New("DamascusTroopLZ-2"),"Troop Drop Off LZ",true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.DamascusAirport.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.DamascusAirport.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.DamascusAirport.Destroyed == false then
      EnemyTargets.Mission.DamascusAirport.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> EWR1L13 controlled by insurgents has been destroyed! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.DamascusAirport.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

--
--Huey and Mi8
--

EnemyTargets.Mission.MarjNorthInsurgents = {}--Mission Marj North Insurgents
EnemyTargets.Mission.MarjNorthInsurgents.Type = 2 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.MarjNorthInsurgents.Destroyed = false
EnemyTargets.Mission.MarjNorthInsurgents.Title = " - Kill Insurgents Soliders at Majr as Sultan NORTH"
EnemyTargets.Mission.MarjNorthInsurgents.EnemyGroup = GROUP:FindByName("Marj North Insurgents")--Enemy Group WRAPPER
if EnemyTargets.Mission.MarjNorthInsurgents.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.MarjNorthInsurgents.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.MarjNorthInsurgents.EnemyGroup,"Insurgents Soliders at Majr as Sultan\nIntel Reports armed insurgents soliders have taken over both South and North facilties.\nPossible # Insurgents: "..Function.CountUnitsInGroup(EnemyTargets.Mission.MarjNorthInsurgents.EnemyGroup),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.MarjNorthInsurgents.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.MarjNorthInsurgents.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.MarjNorthInsurgents.Destroyed == false then
      EnemyTargets.Mission.MarjNorthInsurgents.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Majr North has been cleared, all insurgents have been killed! Good Job! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.MarjNorthInsurgents.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

EnemyTargets.Mission.MarjSouthInsurgents = {}--Mission Marj South Insurgents
EnemyTargets.Mission.MarjSouthInsurgents.Type = 2 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.MarjSouthInsurgents.Destroyed = false
EnemyTargets.Mission.MarjSouthInsurgents.Title = " - Kill Insurgents Soliders at Majr as Sultan SOUTH"
EnemyTargets.Mission.MarjSouthInsurgents.EnemyGroup = GROUP:FindByName("Marj South Insurgents")--Enemy Group WRAPPER
if EnemyTargets.Mission.MarjSouthInsurgents.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.MarjSouthInsurgents.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.MarjSouthInsurgents.EnemyGroup,"Insurgents Soliders at Majr as Sultan\nIntel Reports armed insurgents soliders have taken over both South and North facilties.\nPossible # Insurgents: "..Function.CountUnitsInGroup(EnemyTargets.Mission.MarjSouthInsurgents.EnemyGroup),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.MarjSouthInsurgents.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.MarjSouthInsurgents.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.MarjSouthInsurgents.Destroyed == false then
      EnemyTargets.Mission.MarjSouthInsurgents.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Majr as Sultan South has been cleared, all insurgents have been killed! Good Job! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.MarjSouthInsurgents.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end

EnemyTargets.Mission.Shebaa = {}--Mission Marj South Insurgents
EnemyTargets.Mission.Shebaa.Type = 2 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.Shebaa.Destroyed = false
EnemyTargets.Mission.Shebaa.Title = " - Insurgents constructed a camp in the Town of Shebaa"
EnemyTargets.Mission.Shebaa.EnemyGroup = GROUP:FindByName("Shebaa Insurgents")--Enemy Group WRAPPER
if EnemyTargets.Mission.Shebaa.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.Shebaa.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.Shebaa.EnemyGroup,"Insurgents Soliders in Town of Shebaa\nIntel Reports armed insurgents soliders have constructed a new camp in town.\nPossible # Targets: "..Function.CountUnitsInGroup(EnemyTargets.Mission.Shebaa.EnemyGroup),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.Shebaa.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.Shebaa.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.Shebaa.Destroyed == false then
      EnemyTargets.Mission.Shebaa.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Enemy camp in the town of Shebaa has been cleared of Insurgent Forces!! Excellent Job! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.Shebaa.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end


EnemyTargets.Mission.JoubJannine = {}--Mission Marj South Insurgents
EnemyTargets.Mission.JoubJannine.Type = 2 --1 = attach chopper,2=transport chopper
EnemyTargets.Mission.JoubJannine.Destroyed = false
EnemyTargets.Mission.JoubJannine.Title = " - Armed Suppy Convoy Spotted in Town of Joub Jannine"
EnemyTargets.Mission.JoubJannine.EnemyGroup = GROUP:FindByName("Joub Jannine Supply Convoy")--Enemy Group WRAPPER
if EnemyTargets.Mission.JoubJannine.EnemyGroup ~= nil then

  --if not yet killed show marker
  SCHEDULER:New( nil,
    function()
      if EnemyTargets.Mission.JoubJannine.EnemyGroup ~= nil then
        Function.CreateMarker(EnemyTargets.Mission.JoubJannine.EnemyGroup,"Supply Convoy in Town of Joub Jannine\nIntel Reports lightly armed supply convoy spotted in town.\nPossible # Targets: "..Function.CountUnitsInGroup(EnemyTargets.Mission.JoubJannine.EnemyGroup),true,60)
      end
    end, {},0,61,0,Settings.FullMissionTime)
  
  --check if base defenses destoryed
  EnemyTargets.Mission.JoubJannine.DestoryedChecker = SCHEDULER:New( nil,
  function()
    if EnemyTargets.Mission.JoubJannine.EnemyGroup:IsAlive() == nil and EnemyTargets.Mission.JoubJannine.Destroyed == false then
      EnemyTargets.Mission.JoubJannine.Destroyed = true
      Function.PlaySoundTAll("beep2.ogg")
      local message = ">> Joub Jannine supply convoy has been eleminated!! Excellent Job! <<"
      MESSAGE:New(message,15):ToAll()
      BASE:E(message)
      
      EnemyTargets.Mission.JoubJannine.DestoryedChecker:Stop()
      
    end
  end, {},10,10,0.5,Settings.FullMissionTime)
end
  
    